APP_NAME="MyKOPKB 1.0"
APP_ENV=production
APP_KEY=base64:XdMAy5IbQMHsTrp1N7Tn/LIJC4SKenN8CfhYLt1s3tk=
APP_DEBUG=false
APP_TIMEZONE=Asia/Kuala_Lumpur
APP_URL=https://anggota.koppkb.com

APP_LOCALE=en
APP_FALLBACK_LOCALE=en
APP_FAKER_LOCALE=en_US

APP_MAINTENANCE_DRIVER=file
APP_MAINTENANCE_STORE=database

PHP_CLI_SERVER_WORKERS=8

BCRYPT_ROUNDS=12

LOG_CHANNEL=stack
LOG_STACK=single
LOG_DEPRECATIONS_CHANNEL=null
LOG_LEVEL=error

DB_CONNECTION=pgsql
DB_HOST=172.16.5.12
DB_PORT=5433
DB_DATABASE=mykopkb
DB_USERNAME=mykopkbuser
DB_PASSWORD=MyKOPKB@Production_2026

SESSION_DRIVER=redis
SESSION_LIFETIME=60
SESSION_ENCRYPT=true
SESSION_PATH=/
SESSION_DOMAIN=null

BROADCAST_CONNECTION=log
FILESYSTEM_DISK=local
QUEUE_CONNECTION=redis

HORIZON_WORKER_MEMORY=512
HORIZON_WORKER_TIMEOUT=3600

CACHE_STORE=redis
CACHE_PREFIX=mykopkb_cache
CACHE_DRIVER=redis

MEMCACHED_HOST=memcached

REDIS_CLIENT=phpredis
REDIS_HOST=redis
REDIS_PORT=6379
REDIS_PASSWORD=mykopkb_redis@2026
REDIS_DB=0

# only change this to smtp if is deployed to public server
MAIL_MAILER=log
MAIL_SCHEME=null
MAIL_HOST=mailpit
MAIL_PORT=1025
MAIL_USERNAME=null
MAIL_PASSWORD=null
MAIL_FROM_ADDRESS="hello@example.com"
MAIL_FROM_NAME="${APP_NAME}"

AWS_ACCESS_KEY_ID=
AWS_SECRET_ACCESS_KEY=
AWS_DEFAULT_REGION=us-east-1
AWS_BUCKET=
AWS_USE_PATH_STYLE_ENDPOINT=false

VITE_APP_NAME="${APP_NAME}"
# VITE_PUSHER_APP_KEY="${PUSHER_APP_KEY}"
# VITE_PUSHER_HOST="${PUSHER_HOST}"
# VITE_PUSHER_PORT="${PUSHER_PORT}"
# VITE_PUSHER_SCHEME="${PUSHER_SCHEME}"
# VITE_PUSHER_APP_CLUSTER="${PUSHER_APP_CLUSTER}"

EXTERNAL_API_TOKEN=""
EXTERNAL_API_BASE_URL=

# SSO_SECRET=""
# SSO_VALIDATION_URL="https://saktitd.army.mil.my/api/sso-validate"
# SSO_MAX_ATTEMPTS=5
# SSO_TOKEN_EXPIRATION=300
# SSO_AUTO_ACTIVATE_USERS=true
# SSO_LOG_ACTIVITIES=true
# SSO_CONNECTION_TIMEOUT=10
# SSO_RESPONSE_TIMEOUT=30
# SSO_PROXY_URL=
# SSO_ENABLE_FALLBACK=true
# SSO_PROXY_ENABLED=true

SANCTUM_STATEFUL_DOMAINS=anggota.koppkb.com

BLOCK_API_TOOLS_IN_PRODUCTION=true
MIN_USER_AGENT_LENGTH=15
API_BLOCKED_MESSAGE="API access is restricted in production environment. Please use the web interface."
API_ALLOWED_IPS=
API_ALLOWED_USER_AGENTS=

ENABLE_API_KEY_AUTH=true
API_VALID_KEYS=86f58825e5c1e0872d8786092d47e3bd,6461fc5390660c55dc47bdfcd85ed9ae
API_LOG_KEY_USAGE=true